com.hazelcast.org.snakeyaml.engine.v1.api

## Class Dump

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.api.Dump

-     public class Dump
      extends Object

  Common way to serialize any Java instance(s)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dump(DumpSettings settings)` Create instance
    `Dump(DumpSettings settings, BaseRepresenter representer)` Create instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(Object yaml, StreamDataWriter streamDataWriter)` Dump a single instance into a YAML document
    `void` | `dumpAll(Iterator<? extends Object> instancesIterator, StreamDataWriter streamDataWriter)` Dump all the instances from the iterator into a stream with every instance in a separate YAML document
    `String` | `dumpAllToString(Iterator<? extends Object> instancesIterator)` Dump all the instances from the iterator into a stream with every instance in a separate YAML document
    `String` | `dumpToString(Object yaml)` Dump all the instances from the iterator into a stream with every instance in a separate YAML document

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dump

          public Dump(DumpSettings settings)

      Create instance
      Parameters:
        `settings` - - configuration

    - #### Dump

          public Dump(DumpSettings settings,
                      BaseRepresenter representer)

      Create instance
      Parameters:
        `settings` - - configuration
        `representer` - - custom representer

  - ### Method Detail

    - #### dumpAll

          public void dumpAll(Iterator<? extends Object> instancesIterator,
                              StreamDataWriter streamDataWriter)

      Dump all the instances from the iterator into a stream with every instance in a separate YAML document
      Parameters:
        `instancesIterator` - - instances to serialize
        `streamDataWriter` - - destination I/O writer

    - #### dump

          public void dump(Object yaml,
                           StreamDataWriter streamDataWriter)

      Dump a single instance into a YAML document
      Parameters:
        `yaml` - - instance to serialize
        `streamDataWriter` - - destination I/O writer

    - #### dumpAllToString

          public String dumpAllToString(Iterator<? extends Object> instancesIterator)

      Dump all the instances from the iterator into a stream with every instance in a separate YAML document
      Parameters:
        `instancesIterator` - - instances to serialize
      Returns:
        String representation of the YAML stream

    - #### dumpToString

          public String dumpToString(Object yaml)

      Dump all the instances from the iterator into a stream with every instance in a separate YAML document
      Parameters:
        `yaml` - - instance to serialize
      Returns:
        String representation of the YAML stream

Copyright © 2019. All rights reserved.